Subject: [procon] Re: WG Adoption of an I-D / Procon 2418 bis: Updated text for section 8.2
From: David Schinazi <[email-masked]>
To: Brian E Carpenter <[email-masked]>
Cc: John C Klensin <[email-masked]>, [email-masked], Andrew Campling <[email-masked]>, "Salz, Rich" <[email-masked]>, Process Enthusiasts <[email-masked]>
Date: Wed, 1 Jul 2026 19:47:19 -0700
List-Id: "Discussion of consolidating process documents and changes to the standards process per IETF 121 ALLDISPATCH." <procon.ietf.org>

Thanks, everyone. I've incorporated this suggestion into this PR:
https://github.com/ietf-wg-procon/2418bis/pull/61/changes

David

On Wed, Apr 29, 2026 at 3:06 PM Brian E Carpenter <
[email-masked]> wrote:

> Repeating what I may have said elsewhere, the key point that many
> newcomers and some old-timers don't understand is that "adopt"
> does not mean "agree". Non-native speakers are particularly liable
> to this misunderstanding because of multiple dictionary definitions
> of "adopt". Even a few words and an informative reference to
> RFC 7221 would be enough (given that the community has shown little
> enthusiasm in the past for a normative definition of "adopt".)
>
> Regards/Ngā mihi
>     Brian Carpenter
>
> On 30-Apr-26 01:26, John C Klensin wrote:
> > (PROCON list copied, IAB dropped, further discussions should probably
> > go to PROCON exclusively)
> >
> > Agreed, although I see one or two contradictions inherent in WG
> > adoption.  If the idea is that WGs "adopt" a document in order to
> > start working on it:
> >
> > * couldn't one claim that discussion of whether a document should be
> > adopted is out of scope... until it is adopted?  "MAY formally adopt"
> > does not seem to me to solve that problem, just to add questions
> > about what happens if they don't and what value adoption (or the lack
> > thereof) actually has.
> >
> > * if a WG is looking at a problem but is presented with two (or more)
> > alternate approaches to solving it, it is reasonable to adopt both
> > (all) of those documents with the expectation of discarding one or
> > more later?  "candidate for publication..." may argue against that...
> > or not, depending on how seriously the WG and the community take
> > candidacy.
> >
> > While I think Andrew's text is an improvement and that it definitely
> > does not make things worse, it feels like either some additional
> > effort is needed here or that we should be remembering both the
> > occasional advantages of some procedural vagueness and our old
> > principle that every WG, and especially every Area, may be different
> > than others.
> >
> >      john
> >
> >
> > --On Monday, April 27, 2026 15:09 +0100 Adrian Farrel
> > <[email-masked]> wrote:
> >
> >> That's nice text, Andrew.
> >>
> >>
> >>
> >> From: Andrew Campling <[email-masked]>
> >> Sent: 27 April 2026 13:37
> >> To: Salz, Rich <[email-masked]>; Brian E Carpenter
> >> <[email-masked]>; [email-masked]
> >> Cc: [email-masked]
> >> Subject: RE: WG Adoption of an I-D
> >>
> >>
> >>
> >> I'm not convinced that the text as worded is sufficiently clear
> >> that (rough) consensus is not required prior to WG adoption of a
> >> draft and propose the following.
> >>
> >>
> >>
> >> Working Groups MAY formally adopt an Internet-Draft to indicate
> >> that it is being considered as a candidate for publication as an
> >> RFC. The main difference between a draft owned by an individual and
> >> one adopted by a working group is that the adoption process hands
> >> over change control to the working group.  Once a document is
> >> adopted, Document Editors are tasked with documenting the consensus
> >> of the Working Group.
> >>
> >>
> >>
> >> Adoption of a draft is the starting point for the working group to
> >> work on the document, with no suggestion that there is agreement on
> >> its content at the point of adoption.  Working group chairs MAY
> >> adopt a draft if they believe there is sufficient interest in the
> >> topic covered by the draft; there is no requirement to establish
> >> rough consensus from the working group for the adoption of a draft.
> >>
> >>
> >>
> >>
> >>
> >> Andrew
> >>
> >>
> >>
> >> From: Salz, Rich <[email-masked] <mailto:[email-masked]> >
> >> Sent: 27 April 2026 13:12
> >> To: Brian E Carpenter <[email-masked]
> >> <mailto:[email-masked]> >; [email-masked]
> >> <mailto:[email-masked]>
> >>
> >> Cc: [email-masked] <mailto:[email-masked]>
> >> Subject: Re: Complaint to IAB regarding a declaration of consensus
> >> to adopt a non-hybrid draft
> >>
> >>
> >>
> >> *    Yes, although I now wonder whether we should also underline that
> >> adopt != agree.
> >>
> >>
> >>
> >> I think it's implied by the current text, but if you want to make
> >> it more explicit, something like "adoption is the starting point
> >> for the WG to work on the draft."
> >>
> >
> >
> _______________________________________________
> procon mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>